org.appng.search.indexer

## Class FileSystemProvider

- java.lang.Object
- - org.appng.search.indexer.FileSystemProvider

- All Implemented Interfaces:
    DocumentProvider

      public class FileSystemProvider
      extends Object
      implements DocumentProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSystemProvider(IndexConfig config, List<String> extensions, long timeout, String jspExtension, File dataDir, Collection<? extends File> protectedFolders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<DocumentProducer>` | `getDocumentProducers(Site site, Application application)` Returns some `DocumentProducer`s to take into account when building the `Site`'s global lucene index.
    `Iterable<DocumentProducer>` | `indexDirectory(int documentQueueSize)` Performs the actual indexing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSystemProvider

          public FileSystemProvider(IndexConfig config,
                                    List<String> extensions,
                                    long timeout,
                                    String jspExtension,
                                    File dataDir,
                                    Collection<? extends File> protectedFolders)

  - ### Method Detail

    - #### getDocumentProducers

          public Iterable<DocumentProducer> getDocumentProducers(Site site,
                                                                 Application application)
                                                          throws InterruptedException,
                                                                 TimeoutException

      Description copied from interface: `DocumentProvider`
      Returns some `DocumentProducer`s to take into account when building the `Site`'s global lucene index.
      Specified by:
        `getDocumentProducers` in interface `DocumentProvider`
      Parameters:
        `site` - the current `Site`
        `application` - the current `Application`
      Returns:
        some `DocumentProducer`s
      Throws:
        `InterruptedException`
        `TimeoutException`

    - #### indexDirectory

          public Iterable<DocumentProducer> indexDirectory(int documentQueueSize)
                                                    throws InterruptedException,
                                                           TimeoutException

      Performs the actual indexing.
      Parameters:
        `documentQueueSize` - the initial queue size for each `DocumentProducer`
      Returns:
        an `Iterable` of `DocumentProducer`s
      Throws:
        `InterruptedException` - if such an exception occurs while adding a `DocumentEvent` to the indexer
        `TimeoutException` - if such an exception occurs while adding a `DocumentEvent` to the indexer

Copyright © 2011–2023 aiticon GmbH. All rights reserved.